eoNthElementFitnessStat(3)

NAME
eoNthElementFitnessStat - The n_th element fitness in the population (see eoBestFitnessStat).

SYNOPSIS

#include <eoStat.h>

Inherits eoSortedStat< EOT, EOT::Fitness >.

  Public Types
typedef EOT::Fitness Fitness

  Public Member Functions
eoNthElementFitnessStat (unsigned _whichElement, std::string _description='nth element fitness')
virtual void operator() (const std::vector< const EOT * > &_pop)
The pure virtual function that needs to be implemented by the subclass.
virtual std::string className (void) const

  Private Member Functions
template<class T> void doit (const eoPop< EOT > &_pop, eoParetoFitness< T >)
template<class T> void doit (const std::vector< const EOT * > &_pop, T)

  Private Attributes
unsigned whichElement

Detailed Description

  template<class EOT> class eoNthElementFitnessStat< EOT >
The n_th element fitness in the population (see eoBestFitnessStat).

Definition at line 211 of file eoStat.h.

Author

Generated automatically by Doxygen for EO from the source code.